[@rxap/material-table-system](../wiki/globals) / ExpandControlsCellComponent

# Class: ExpandControlsCellComponent\<Data\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts:24](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts#L24)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\>

## Constructors

### new ExpandControlsCellComponent()

> **new ExpandControlsCellComponent**\<`Data`\>(`expandCell`): [`ExpandControlsCellComponent`](../wiki/Class.ExpandControlsCellComponent)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts:29](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts#L29)

#### Parameters

##### expandCell

[`ExpandRowService`](../wiki/Class.ExpandRowService)\<`Data`\>

#### Returns

[`ExpandControlsCellComponent`](../wiki/Class.ExpandControlsCellComponent)\<`Data`\>

## Properties

### element

> **element**: `Data`

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts:27](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts#L27)

***

### expandCell

> `readonly` **expandCell**: [`ExpandRowService`](../wiki/Class.ExpandRowService)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts:31](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-controls-cell/expand-controls-cell.component.ts#L31)
